iTunes on Mac OS X Tiger

Discussion in 'Mac Apps and Mac App Store' started by smb426, Sep 10, 2012.

  1. smb426 macrumors newbie

    Joined:
    Sep 10, 2012
    #1
    Hello all,

    My dad is needing a machine to use the internet and download/upload songs on his iPod. He has been using my Mac with Lion on it to do this, but I have a G4 Mac that isn't being used. Is the iTunes Store supported on Mac OS X Tiger? I used to have a Leopard disk, but lost it and would hate to pay $100 to get it.

    Thanks in advance for the help.
     
  2. Intell macrumors P6

    Intell

    Joined:
    Jan 24, 2010
    Location:
    Inside
    #2
    Yes, but the version of iTunes must be 9 or higher. Anything older than 9 isn't able to connect to the iTunes Store anymore.
     
  3. Darth.Titan macrumors 68030

    Darth.Titan

    Joined:
    Oct 31, 2007
    Location:
    Austin, TX
    #3
    Which pretty much limits you to iTunes 9.2.1 since iTunes 10 requires Leopard or newer.

    Hopefully your Dad doesn't have a newer iPod that requires iTunes 10, otherwise you'll have to upgrade to Leopard to use it.
     

Share This Page